# Code of Conduct

## Mission

When you join this project, you join a team of engineers who came here to create technology that advances our civilization and pushes back against entropy. We want to make tomorrow meaningfully better than today.

## Philosophy

What distinguishes thoughtful engineering from mere activity is our commitment to reason, civility, and the disciplined pursuit of elegant solutions. We believe that:

- Truth emerges through careful reasoning, empirical evidence, and the fearless examination of ideas
- We judge all contributions solely on their merit, elegance, and constructive impact
- We engage in thoughtful debate to discover optimal solutions, not to demonstrate superiority
- We care about the quality of your code and the brilliance of your ideas the most. But if you are going to be a jerk, go build your own solutions elsewhere.

## The Nature of Public Discourse

There exists a fundamental difference between private academic discourse and public technical collaboration that we must acknowledge.

In the legendary halls of Renaissance Technologies, brilliant mathematicians like Jim Simons fostered a culture where intellectual peers could engage in brutally direct criticism—even appearing quite rude to outsiders. This worked because they operated within a closed community of equals who understood the rules: sharp criticism was a form of respect, intellectual combat was sport, and everyone knew that personal attacks on ideas were not personal attacks on individuals.

However, GitHub discussions are inherently public spaces where context is lost, tone is flattened, and what might be playful intellectual sparring between colleagues becomes public humiliation for contributors. The asymmetry of knowledge, the permanence of written records, and the global audience fundamentally change the dynamics.

Therefore, in our public technical discussions, we must be doubly considerate. Brilliance does not grant license for cruelty. You may be the most intellectually gifted person on the planet, but if you cannot engage constructively with others in a public forum, you are welcome to build your own solutions elsewhere. We work exclusively with people who can combine technical excellence with basic human decency.

## Governance

This project operates under a benevolent dictatorship model:

- **Final Authority**: The current maintainer makes all final decisions on technical direction, project vision, and community standards
- **Succession**: This role is passed thoughtfully from one maintainer to their chosen successor
- **Accountability**: The maintainer's authority exists solely to serve the project's mission of building exceptional technology
